Get model file
Read one UTF-8 file. filePath is a catch-all and may contain /.
Repository read access is required.
GET
/v1/models/{workspace}/{model}/files/{filePath}Authorization
Authorizationstringrequired
Send a Modaic bearer token in the Authorization header.
Path Parameters
workspacestringrequired
User or organization workspace slug.
modelstringrequired
Model repository slug.
filePathstringrequired
Repository-relative path, including any nested directories.
Query Parameters
revisionstring
Commit SHA, branch, or tag. Defaults to the default branch.
Response
pathstringrequired
revisionstring | nullrequired
contentsstringrequired
UTF-8 file contents.
Was this page helpful?